=== debian/changelog ===
dpdk (16.07-0ubuntu5) yakkety; urgency=medium

  [ Christian Ehrhardt ]
  * Fix component mismatch by dropping the optional dpdk-pmdinfo tool
    (LP: #1630073).

  [ Gowrishankar Muthukrishnan ]
  * update d/p/dpdk-dev-examples-ip_pipeline-fix-pmd-driver-parameter.patch to
    fix dlopen issue (LP: #1630119)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Oct 2016 09:27:54 +0200

dpdk (16.07-0ubuntu4) yakkety; urgency=medium

  [ Christian Ehrhardt ]
  * merge of latest deb_dpdk packaging
  * Fix d/p/fix-vhost-user-socket-permission.patch for dpdk 16.07
    server/client sockets (LP: #1625542).
  * d/rules utilize RTE_EAL_PMD_PATH to autoload pmd drivers (LP: #1628419)
    - d/dpdk-doc.README.Debian document usage of RTE_EAL_PMD_PATH
    - d/control let the runtime of dpdk recommend the pmd drivers to make
      them available for auto-probing devices
  * d/control add python-elftools and hwdata dependencies to dpdk for the tool
    dpdk-pmdinfo (LP: #1628410).

  [ Luca Boccassi ]
  * Fix d/watch file to point to fast.dpdk.org/rel
  * Allow DPDK_CONFIG, RTE_MACHINE, RTE_TARGET overrides via DEB_BUILD_OPTIONS
  * Use ?= to allow env var overrides in d/rules

  [ Santiago RR ]
  * debian/control:
    - dpdk: recommends dkms packages (dpdk-igb-uio-dkms, dpdk-rte-kni-dkms) on
      arm64 and suggest for other architectures.

  [ Gowrishankar Muthukrishnan ]
  * d/p/dpdk-dev-examples-ip_pipeline-fix-pmd-driver-parameter.patch to make
    ip_pipeline work properly with -d eal parameter (LP: #1629186)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Sep 2016 17:19:05 +0200

dpdk (16.07-0ubuntu3) yakkety; urgency=medium

  [ Christian Ehrhardt ]
  * merge of latest deb_dpdk packaging for dpdk 16.07 (LP: #1625009)
    - excluding ppc enablement due to being post-FF
    - mix and match of changelogs as it is not yet uploaded to Debian
  * add man pages for installed binaries
    - add backport of patches from upstream
    - call generation of man pages in d/rules
  * d/t/test-dkms retain dkms logs for debugging (LP: #1625028)
  * fix rte_kni dkms build with kernel >= 4.8 (LP: #1625021)
    - d/p/dpdk-dev-v2-kni-fix-build-with-kernel-4.8.patch replaced macro with
      its value in kni ethtool drivers.

  [ Luca Boccassi ]
  * Add optional binary kernel modules package, disabled by default (build with
    DEB_BUILD_OPTIONS=kernel_modules to enable). If enabled will build kernel
    modules against the local, current kernel version (override by adding
    ksrc=<path/to/kernel/sources> to DEB_BUILD_OPTIONS) into a
    dpdk-modules-<kernel version> package
  * Set HOST_/EXTRA/CPP/C/LDFLAGS in d/rules so that all built objects pick up
    all flags set by the dpkg environment, like hardening flags
  * Add rte-compile-pre-cppflags.patch to make all DPDK objects pick up the
    user specified or environment specified CPP/C/LDFLAGS.
    Fixes Lintian warning:
    - W: dpdk-dev: hardening-no-relro
         usr/share/dpdk/x86_64-default-linuxapp-gcc/app/dpdk-pmdinfogen
  * Add a brief HOWTO to debian/README.source with instructions to build the
    packages, for CI systems and the like.
  * Build with RTE_DEVEL_BUILD=n to avoid building test pmds with an rpath
    hardcoded to the package build PATH. Fixes Lintian Error:
    - E: dpdk: binary-or-shlib-defines-rpath usr/bin/dpdk-pdump
         /home/lboccass/git/dpdk_deb/debian/build/shared-root/lib

  [ Santiago RR ]
  * improve debian/copyright
  * remove duplicate entries from d/control

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 19 Sep 2016 08:49:44 +0200

dpdk (16.07-0ubuntu2) yakkety; urgency=medium

  * d/t/test-initscripts fix false positive in adt

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 12 Aug 2016 12:56:07 +0200

dpdk (16.07-0ubuntu1) yakkety; urgency=medium

  * release current state of deb_dpdk packaging into yakkety

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 11 Aug 2016 10:09:10 +0200

dpdk (16.07-0) UNRELEASED; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with upstream DPDK 16.07 release
  * Cleanup Lintian Warnings
    - d/p/fix-unusual-interpreter.patch fixes "W: dpdk-doc:
      unusual-interpreter"
    - d/p/fix-double-license-info.patch fixes "W: dpdk-rte-kni-dkms:
      extra-license-file"
  * Renamed d/p/ubuntu-fix-vhost-user-socket-permission.patch to
    d/p/fix-vhost-user-socket-permission.patch
  * Add lintian-overrides for: E: dpdk-dev: arch-dependent-file-in-usr-share
    These binaries are part of the sdk and meant to be shipped with the sdk.
  * d/p/dpdk-dev-doc-fix-old-dpdk-nic-bind.py-references.patch to fix the
    docs in regard to 16.07 changes renaming dpdk_nic_bind
  * d/p/make-load-devel-config-not-to-appear-as-executable.patch to avoid
    accidentially executing as script and to fix unusual-interpreter lintian
    warning.

  [ Anders Roxell ]
  * debian/control: add pciutils to the dpdk depends list, since lspci is used
    by the devbind script

  [ Luca Boccassi ]
  * Add ${shlib:Depends} to dpdk-dev dependencies
  * Install api and guides in dpdk-doc
  * Convert debian/rules to new style DH targets
  * Add Recommends: python to dpdk-doc since it ships python scripts among the
    examples, fixes Lintian warning about missing python dependencies
  * Fix typo in dpdk-doc.README.Debian, fixes "W: dpdk-doc:
    spelling-error-in-readme-debian to to (duplicate word) to"
  * Fix upstream rc versions by using "~" instead of "-". 16.07-rc1 evaluates
    as newer than 16.07 which causes issues with Debian tools and Lintian
    errors and warnings:
    - W: libethdev4: latest-debian-changelog-entry-without-new-version
    - E: libethdev4: symbols-file-contains-current-version-with-debian-revision
      on symbol DPDK_16.04@DPDK_16.04 and 114 others
  * Add lintian-overrides for: "W: dpdk-doc: embedded-javascript-library"

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 29 Jul 2016 08:18:50 +0200


